Page MenuHomePhabricator

`.lang-list-button` doesn't feature focus state
Closed, ResolvedPublic

Description

The new .lang-list-button doesn't feature focus state. When tabbing there, I don't know where my tab focus is at.

Event Timeline

Volker_E created this task.Aug 16 2016, 5:41 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 16 2016, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Volker_E updated the task description. (Show Details)Aug 16 2016, 5:42 PM
debt triaged this task as Normal priority.Aug 17 2016, 11:31 PM
debt added a project: Discovery-Portal-Sprint.
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.
gerritbot added a subscriber: gerritbot.

Change 306241 had a related patch set uploaded (by Jdrewniak):
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

Change 306241 abandoned by Jdrewniak:
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

Change 310505 had a related patch set uploaded (by Jdrewniak):
T143127 - adding focus state to language button

https://gerrit.wikimedia.org/r/310505

The latest patch adds a focus state that has a double outline, similar to that of the search button focus state.

Change 310505 had a related patch set uploaded (by Jdrewniak):
Add :focus state to language button

https://gerrit.wikimedia.org/r/310505

Change 310505 merged by jenkins-bot:
Add :focus state to language button

https://gerrit.wikimedia.org/r/310505

Jdrewniak moved this task from Backlog to Done on the Discovery-Portal-Sprint board.
debt closed this task as Resolved.Oct 11 2016, 8:52 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptOct 11 2016, 9:40 PM